{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "GolfNow US",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "golfnow-com": {
        "description": "",
        "title": "GolfNow US",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "a0dd2aba3f07b8634091805629050afca07b01f3545adc45016a23653f782b59",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/golfnow-com/tee-times/course-detail",
      "/apis/v1/golfnow-com/tee-times/course-reviews",
      "/apis/v1/golfnow-com/tee-times/courses-near",
      "/apis/v1/golfnow-com/tee-times/facility-day-summaries",
      "/apis/v1/golfnow-com/tee-times/facility-tee-times",
      "/apis/v1/golfnow-com/tee-times/search-courses",
      "/apis/v1/golfnow-com/tee-times/suggest-locations",
      "/apis/v1/golfnow-com/tee-times/tee-time-rates"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:e91b029e99351e9cde08ace81f5c2612fc602845a80d1e25ed5293481da89002",
      "facts_hash": "a0dd2aba3f07b8634091805629050afca07b01f3545adc45016a23653f782b59",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "golfnow-com"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/golfnow-com/tee-times/course-detail": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.course-detail",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Course detail",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-course-detail",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "7fa7dd6e1d45"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.course-detail",
          "path": "/apis/v1/golfnow-com/tee-times/course-detail"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/course-detail \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/course-reviews": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.course-reviews",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "facility_id": 1
                  }
                },
                "minimal": {
                  "value": {
                    "facility_id": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "facility_id": {
                    "type": "number"
                  }
                },
                "required": [
                  "facility_id"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Course reviews",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-course-reviews",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "5dc214d29ac9"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.course-reviews",
          "path": "/apis/v1/golfnow-com/tee-times/course-reviews"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/course-reviews \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"facility_id\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/courses-near": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.courses-near",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "latitude": 1,
                    "longitude": 1
                  }
                },
                "minimal": {
                  "value": {
                    "latitude": 1,
                    "longitude": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "latitude": {
                    "type": "number"
                  },
                  "longitude": {
                    "type": "number"
                  }
                },
                "required": [
                  "latitude",
                  "longitude"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Courses near",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-courses-near",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "efb19b158b57"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.courses-near",
          "path": "/apis/v1/golfnow-com/tee-times/courses-near"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/courses-near \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"latitude\": 1,\n  \"longitude\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/facility-day-summaries": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.facility-day-summaries",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "facility_id": 1
                  }
                },
                "minimal": {
                  "value": {
                    "facility_id": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "facility_id": {
                    "type": "number"
                  }
                },
                "required": [
                  "facility_id"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Facility day summaries",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-facility-day-summaries",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "ad776c29362f"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.facility-day-summaries",
          "path": "/apis/v1/golfnow-com/tee-times/facility-day-summaries"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/facility-day-summaries \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"facility_id\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/facility-tee-times": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.facility-tee-times",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Facility tee times",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-facility-tee-times",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "06b6b1302911"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.facility-tee-times",
          "path": "/apis/v1/golfnow-com/tee-times/facility-tee-times"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/facility-tee-times \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/search-courses": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.search-courses",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "query": "nike"
                  }
                },
                "minimal": {
                  "value": {
                    "query": "nike"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "query": {
                    "type": "string"
                  }
                },
                "required": [
                  "query"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search courses",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-search-courses",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "69917f6f6881"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.search-courses",
          "path": "/apis/v1/golfnow-com/tee-times/search-courses"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/search-courses \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"query\": \"nike\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/suggest-locations": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.suggest-locations",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "query": "nike"
                  }
                },
                "minimal": {
                  "value": {
                    "query": "nike"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "query": {
                    "type": "string"
                  }
                },
                "required": [
                  "query"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Suggest locations",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-suggest-locations",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "328b51a1c555"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.suggest-locations",
          "path": "/apis/v1/golfnow-com/tee-times/suggest-locations"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/suggest-locations \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"query\": \"nike\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/golfnow-com/tee-times/tee-time-rates": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "golfnow-com.tee-times.tee-time-rates",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "facility_id": 1
                  }
                },
                "minimal": {
                  "value": {
                    "facility_id": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "facility_id": {
                    "type": "number"
                  }
                },
                "required": [
                  "facility_id"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Tee time rates",
        "tags": [
          "GolfNow US"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "golfnow-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/golfnow-com/golfnow-com-tee-times-tee-time-rates",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "2f47a945cc61"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "golfnow-com.tee-times.tee-time-rates",
          "path": "/apis/v1/golfnow-com/tee-times/tee-time-rates"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/golfnow-com/tee-times/tee-time-rates \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"facility_id\": 1\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
